Subject: Re: Remove icomplete workaround

From: Aaron Jensen <[email-masked]>
Date: Mon, 1 Nov 2021 11:33:44 -0400

On Mon, Nov 1, 2021 at 5:28 AM Kévin Le Gouguec
<[email-masked]> wrote:
>
> Hey Aaron,
>
> Stefan Monnier <[email-masked]> writes:
>
> > Aaron Jensen [2021-10-31 20:49:23] wrote:
> >>
> >> Would it be possible to remove it? I'm ccing the original reporter and
> >> fixer in case they are able to shed more light on this or test without
> >> the fix to see if they can reproduce it.
> >>
> >> I've attached a patch if we are good to remove it.
> >
> > Thanks, I just pushed your patch to `master`.
> > We'll see if the problem comes back, and if so, we'll have to try and
> > fix it better.
>
> Congrats on your investigation work; I wish I could shed more light on
> what this workaround was meant to accomplish.  I've tried to reproduce
> my original issue, but so far I was not successful.
>
> If my initial report can be trusted, the bug happened (1) back when the
> development branch was 27.0.50 (commit 61fb521481) (2) on an old
> battered laptop that I can no longer power on without disturbing loud
> fan demons.
>
> 26.3 no longer compiles on my end[1], so all I could do was try to
> reproduce on master, where the workaround has been reverted, on other
> computers I have lying around.  The symptoms have not resurfaced yet,
> so… I'll go with a timid, yet hopeful "yay" 🙂

Thank you for confirming. Hopefully that's the last of it!

Best,

Aaron